Get Table Sheet Operation
curl --request GET \
--url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/operations/{operation_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/operations/{operation_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/operations/{operation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"operation": {
"operation_id": "<string>",
"operation": "recalculate",
"status": "<string>",
"status_counts": {},
"cell_count": 123,
"completed_count": 123,
"failed_count": 123,
"pending_count": 123,
"status_url": "<string>"
}
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}Get Table Sheet Operation
Poll a Table sheet operation.
GET
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
operations
/
{operation_id}
Get Table Sheet Operation
Poll a Table sheet recalculation operation.
The response includes aggregate cell counts by status plus completed, failed, and pending counts.
Authorizations
Headers
Your PromptLayer API key. The key's workspace scopes table resources for this request.
Path Parameters
Table ID.
Table sheet ID.
Operation ID.
Was this page helpful?
⌘I

